Bug 59780 - the applications which uses XIM crashed.
the applications which uses XIM crashed.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-13 03:42 EST by Akira TAGOH
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 23:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log (32.10 KB, text/plain)
2002-02-14 02:19 EST, Akira TAGOH
no flags Details
ltrace log (412 bytes, text/plain)
2002-02-14 02:20 EST, Akira TAGOH
no flags Details

  None (edit)
Description Akira TAGOH 2002-02-13 03:42:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020129

Description of problem:
When it runs with LANG=C etc., it crashes. backtrace is here:
bash-2.05a$ LANG=C gdb /usr/bin/gfontsel 
GNU gdb Red Hat Linux (5.1.1-1)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
(gdb) r
Starting program: /usr/bin/gfontsel 

Program received signal SIGSEGV, Segmentation fault.
0x4067b20a in ?? ()
(gdb) bt
#0  0x4067b20a in ?? ()
#1  0x403979dd in _XlcDynamicLoad () from /usr/X11R6/lib/libX11.so.6
#2  0x40377308 in XRegisterIMInstantiateCallback ()
   from /usr/X11R6/lib/libX11.so.6
#3  0x402ee3fa in gdk_im_open () from /usr/lib/libgdk-1.2.so.0
#4  0x402db796 in gdk_init_check () from /usr/lib/libgdk-1.2.so.0
#5  0x4021f87d in gtk_init_check () from /usr/lib/libgtk-1.2.so.0
#6  0x4021fd76 in gtk_init () from /usr/lib/libgtk-1.2.so.0
#7  0x400b8989 in gnome_add_gtk_arg_callback () from /usr/lib/libgnomeui.so.32
#8  0x40422c25 in invokeCallbacks () from /usr/lib/libgnomesupport.so.0
#9  0x40422c47 in invokeCallbacks () from /usr/lib/libgnomesupport.so.0
#10 0x40423b38 in poptGetNextOpt () from /usr/lib/libgnomesupport.so.0
#11 0x40418cb8 in gnomelib_parse_args () from /usr/lib/libgnome.so.32
#12 0x400b8ca9 in gnome_init_with_popt_table () from /usr/lib/libgnomeui.so.32
#13 0x08049c22 in main ()
#14 0x404df108 in __libc_start_main () from /lib/i686/libc.so.6


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.runs X with locale which is needed XIM(e.g. ja_JP.eucJP)
2.specifies LANG=C and runs gfontsel etc. for example.
3.
	

Actual Results:  segfault.

Expected Results:  runs correctly

Additional info:

If I runs X with LANG=C and LANG=en_US.ISO8859-1 and etc. which needs XIM, it
works fine of course.
Comment 1 Mike A. Harris 2002-02-13 12:29:30 EST
I'd say if gfontsel crashed, there is a bug in gfontsel.  There might
be a bug in X that is causing it perhaps, but a bug in gfontsel
for not handling it properly - if this is the case.

Please attach an strace, ltrace also.
Comment 2 Akira TAGOH 2002-02-14 02:19:59 EST
Created attachment 45659 [details]
strace log
Comment 3 Akira TAGOH 2002-02-14 02:20:34 EST
Created attachment 45660 [details]
ltrace log
Comment 4 Akira TAGOH 2002-02-14 02:24:22 EST
This problem is not gfontsel specific.
it can be reproduced with all of gtk+ apps and all of gnome apps and all of kde
apps.
Also if XMODIFIERS environment value is unset, it works fine.

maybe this thread is related?
http://www.xfree86.org/pipermail/i18n/2002-January/002922.html
Comment 5 Mike A. Harris 2002-05-21 10:02:22 EDT
Is this problem still relevant in 7.3, or does it work ok now?
Comment 6 Akira TAGOH 2002-05-21 23:36:35 EDT
Sorry, they work fine. so it seems that this problem was fixed in 7.3. I can't
reproduce at least this problem on 7.3.

Note You need to log in before you can comment on or make changes to this bug.